#     LanHEP output produced at Wed Jun  1 08:32:12 2022
#     from the file '/home/alumno/Software/LanHEP/lanhep400/mdl/z_stand_Example-WorkShop-CIIEC.mdl'
#     Model named 'ModeloEstandar (Feyn. gauge)'

from object_library import all_parameters, Parameter
from function_library import complexconjugate, re, im, csc, sec, acsc, asec

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 132.50698,
                  texname = '\\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\\alpha _{\\text{EW}}')

ZERO = Parameter(name = 'ZERO',
                  nature = 'internal',
                  type = 'real',
                  value = '0.0',
                  texname = '0')

Sqrt2 = Parameter(name = 'Sqrt2',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(2.0)',
                  texname = '\\sqrt{2}')

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.118,
               texname = '\\text{aS}',
               lhablock = 'SMINPUTS',
               lhacode = [3] )

EE = Parameter(name = 'EE',
               nature = 'external',
               type = 'real',
               value = 0.31333,
               texname = 'e',
               lhablock = 'USERDEF',
               lhacode = [ 1 ] )

GG = Parameter(name = 'GG',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(cmath.acos(-1)*aS)',
               texname = 'g_s' )

SW = Parameter(name = 'SW',
               nature = 'external',
               type = 'real',
               value = 0.474,
               texname = 's_w',
               lhablock = 'USERDEF',
               lhacode = [ 2 ] )

s12 = Parameter(name = 's12',
               nature = 'external',
               type = 'real',
               value = 0.221,
               texname = '\\text{s12}',
               lhablock = 'USERDEF',
               lhacode = [ 3 ] )

s23 = Parameter(name = 's23',
               nature = 'external',
               type = 'real',
               value = 0.04,
               texname = '\\text{s23}',
               lhablock = 'USERDEF',
               lhacode = [ 4 ] )

s13 = Parameter(name = 's13',
               nature = 'external',
               type = 'real',
               value = 0.0035,
               texname = '\\text{s13}',
               lhablock = 'USERDEF',
               lhacode = [ 5 ] )

CW = Parameter(name = 'CW',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1-SW*SW)',
               texname = 'c_w' )

c12 = Parameter(name = 'c12',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1-s12*s12)',
               texname = '\\text{c12}' )

c23 = Parameter(name = 'c23',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1-s23*s23)',
               texname = '\\text{c23}' )

c13 = Parameter(name = 'c13',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1-s13*s13)',
               texname = '\\text{c13}' )

Vud = Parameter(name = 'Vud',
               nature = 'internal',
               type = 'real',
               value = 'c12*c13',
               texname = '\\text{Vud}' )

Vus = Parameter(name = 'Vus',
               nature = 'internal',
               type = 'real',
               value = 's12*c13',
               texname = '\\text{Vus}' )

Vub = Parameter(name = 'Vub',
               nature = 'internal',
               type = 'real',
               value = 's13',
               texname = '\\text{Vub}' )

Vcd = Parameter(name = 'Vcd',
               nature = 'internal',
               type = 'real',
               value = '-s12*c23-c12*s23*s13',
               texname = '\\text{Vcd}' )

Vcs = Parameter(name = 'Vcs',
               nature = 'internal',
               type = 'real',
               value = 'c12*c23-s12*s23*s13',
               texname = '\\text{Vcs}' )

Vcb = Parameter(name = 'Vcb',
               nature = 'internal',
               type = 'real',
               value = 's23*c13',
               texname = '\\text{Vcb}' )

Vtd = Parameter(name = 'Vtd',
               nature = 'internal',
               type = 'real',
               value = 's12*s23-c12*c23*s13',
               texname = '\\text{Vtd}' )

Vts = Parameter(name = 'Vts',
               nature = 'internal',
               type = 'real',
               value = '-c12*s23-s12*c23*s13',
               texname = '\\text{Vts}' )

Vtb = Parameter(name = 'Vtb',
               nature = 'internal',
               type = 'real',
               value = 'c23*c13',
               texname = '\\text{Vtb}' )

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.187,
               texname = 'M_Z',
               lhablock = 'USERDEF',
               lhacode = [ 6 ] )

wZ = Parameter(name = 'wZ',
               nature = 'external',
               type = 'real',
               value = 2.502,
               texname = '\Gamma_Z',
               lhablock = 'USERDEF',
               lhacode = [ 7 ] )

MW = Parameter(name = 'MW',
               nature = 'internal',
               type = 'real',
               value = 'MZ*CW',
               texname = 'M_W' )

wW = Parameter(name = 'wW',
               nature = 'external',
               type = 'real',
               value = 2.094,
               texname = '\Gamma_W',
               lhablock = 'USERDEF',
               lhacode = [ 8 ] )

Mm = Parameter(name = 'Mm',
               nature = 'external',
               type = 'real',
               value = 0.1057,
               texname = 'M_\mu',
               lhablock = 'USERDEF',
               lhacode = [ 9 ] )

Mt = Parameter(name = 'Mt',
               nature = 'external',
               type = 'real',
               value = 1.777,
               texname = 'M_\tau',
               lhablock = 'USERDEF',
               lhacode = [ 10 ] )

Mc = Parameter(name = 'Mc',
               nature = 'external',
               type = 'real',
               value = 1.3,
               texname = 'M_c',
               lhablock = 'USERDEF',
               lhacode = [ 11 ] )

Ms = Parameter(name = 'Ms',
               nature = 'external',
               type = 'real',
               value = 0.2,
               texname = 'M_s',
               lhablock = 'USERDEF',
               lhacode = [ 12 ] )

Mtop = Parameter(name = 'Mtop',
               nature = 'external',
               type = 'real',
               value = 170,
               texname = 'M_t',
               lhablock = 'USERDEF',
               lhacode = [ 13 ] )

wtop = Parameter(name = 'wtop',
               nature = 'external',
               type = 'real',
               value = 1.442,
               texname = '\Gamma_t',
               lhablock = 'USERDEF',
               lhacode = [ 14 ] )

Mb = Parameter(name = 'Mb',
               nature = 'external',
               type = 'real',
               value = 4.3,
               texname = 'M_b',
               lhablock = 'USERDEF',
               lhacode = [ 15 ] )

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 125,
               texname = '\\text{MH}',
               lhablock = 'USERDEF',
               lhacode = [ 16 ] )

wH = Parameter(name = 'wH',
               nature = 'external',
               type = 'real',
               value = 0.0032,
               texname = '\\text{wH}',
               lhablock = 'USERDEF',
               lhacode = [ 17 ] )

VEV = Parameter(name = 'VEV',
               nature = 'external',
               type = 'real',
               value = 246,
               texname = '\\text{VEV}',
               lhablock = 'USERDEF',
               lhacode = [ 18 ] )

cab = Parameter(name = 'cab',
               nature = 'external',
               type = 'real',
               value = 0.1,
               texname = '\\text{cab}',
               lhablock = 'USERDEF',
               lhacode = [ 19 ] )

sab = Parameter(name = 'sab',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1-cab*cab)',
               texname = '\\text{sab}' )

Ataumu = Parameter(name = 'Ataumu',
               nature = 'external',
               type = 'real',
               value = 1,
               texname = '\\text{Ataumu}',
               lhablock = 'USERDEF',
               lhacode = [ 20 ] )

Ytaumu = Parameter(name = 'Ytaumu',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(Mt*Mm)*Ataumu/VEV',
               texname = '\\text{Ytaumu}' )

pi = Parameter(name = 'pi',
               nature = 'internal',
               type = 'real',
               value = 'cmath.acos(-1)',
               texname = '\\text{pi}' )

tb = Parameter(name = 'tb',
               nature = 'external',
               type = 'real',
               value = 10,
               texname = '\\text{tb}',
               lhablock = 'USERDEF',
               lhacode = [ 21 ] )

cb = Parameter(name = 'cb',
               nature = 'internal',
               type = 'real',
               value = '1/cmath.sqrt(1+tb*tb)',
               texname = '\\text{cb}' )

TAU = Parameter(name = 'TAU',
               nature = 'internal',
               type = 'real',
               value = '4*(Mtop*Mtop)/(MH*MH)',
               texname = '\\text{TAU}' )

fTAU = Parameter(name = 'fTAU',
               nature = 'internal',
               type = 'real',
               value = 'cmath.asin(1/cmath.sqrt(TAU))',
               texname = '\\text{fTAU}' )

ghgg = Parameter(name = 'ghgg',
               nature = 'internal',
               type = 'complex',
               value = '-complex(0,1)*(GG/(8*pi*VEV))*(TAU*(1+(1-TAU)*fTAU))',
               texname = '\\text{ghgg}' )

